1. Sources
Highperformr API
  • Introduction
  • Contacts
    • Unified Data API - async contact enrichment
      POST
    • Bulk fetch contacts by IDs
      POST
    • Get contacts by segment
      POST
    • Get contact by ID
      GET
    • Update contact
      PATCH
    • Delete contact
      DELETE
    • Upsert contact into a source
      POST
    • Bulk upsert contacts for source
      POST
    • Unique values of one field for a filtered contact set
      POST
  • Schema
    • Get contact schema
      GET
    • Get discovery search contact schema
      GET
    • Get discovery search company schema
      GET
    • Get verified discovery contact filter schema
      GET
    • Get verified discovery company filter schema
      GET
    • Get options for field
      GET
    • Verified discovery autocomplete suggestions
      GET
    • Get discovery search options for field
      GET
    • Verified discovery static option lists
      GET
  • Discovery search
    • Find contacts v2
      POST
    • Find companies v2
      POST
    • Find verified contacts
      POST
    • Find verified companies
      POST
  • Jobs
    • Get job status by id
  • Social publishing
    • Create draft post
    • List posts (drafts, scheduled, published)
    • Schedule or publish posts (bulk)
    • Schedule a LinkedIn comment on an external post
    • Configure cross-account auto-repost
    • Upload media file (multipart)
    • Assemble chunked uploads into one file
    • Import media from a public URL
  • Integrations (social)
    • List social integrations (filter)
  • Segments
    • Type-ahead search for segments
    • Create segment
    • Get segment by ID
    • Update segment
    • Delete segment
    • Clone segment
  • Sources
    • Bulk upsert sources
      POST
    • Bulk fetch sources
      POST
    • Bulk update sources
      PATCH
    • Create source
      POST
    • Pull contacts from source
      POST
    • Get source by ID
      GET
    • Update source
      PATCH
  • Credits
    • Get workspace credit balance
Login
  1. Sources

Bulk upsert sources

POST
/sources/bulk-upsert
Creates or updates many source records in one call.
Preferred for LinkedIn social listening when adding several profiles at once (same shape as the product UI bulk add).
Prefer over sequential POST / when importing many LinkedIn profile/page URLs.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Created or updated sources (JSON:API list)
Bodyapplication/json

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://app.highperformr.ai/api/sources/bulk-upsert' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "sources": [
        {
            "sourceType": "linkedinInbound",
            "sourceIdentifier": "https://www.linkedin.com/in/jamie-rivera-example"
        },
        {
            "sourceType": "linkedinInbound",
            "sourceIdentifier": "https://www.linkedin.com/company/acme-analytics"
        }
    ]
}'
Response Response Example
200 - Success
{
    "data": [
        {
            "id": "src_li_inbound_01",
            "type": "sources",
            "attributes": {
                "sourceType": "linkedinInbound",
                "sourceIdentifier": "https://www.linkedin.com/in/jamie-rivera-example",
                "sourceMeta": {
                    "socialName": "Jamie Rivera",
                    "socialHandle": "jamie-rivera-example",
                    "platformName": "linkedin",
                    "interactionType": "inbound",
                    "profileImageUrl": "https://media.licdn.com/example.jpg"
                }
            }
        },
        {
            "id": "src_li_inbound_02",
            "type": "sources",
            "attributes": {
                "sourceType": "linkedinInbound",
                "sourceIdentifier": "https://www.linkedin.com/company/acme-analytics",
                "sourceMeta": {
                    "socialName": "Acme Analytics",
                    "socialHandle": "acme-analytics",
                    "platformName": "linkedinPage",
                    "interactionType": "inbound"
                }
            }
        }
    ]
}
Modified at 2026-08-06 14:14:15
Previous
Clone segment
Next
Bulk fetch sources
Built with